For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
  • Accounts payable
  • Accounts receivable
      • GETGet products
      • POSTCreate a product
      • GETGet a product by ID
      • DELDelete a product
      • PATCHUpdate a product
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
Accounts receivableProducts

Get a product by ID

GET
/products/:product_id
GET
/v1/products/:product_id
$curl https://api.sandbox.monite.com/v1/products/product_id \
> -H "x-monite-version: 2024-01-31" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>"
1{
2 "id": "id",
3 "created_at": "2024-01-15T09:30:00Z",
4 "updated_at": "2024-01-15T09:30:00Z",
5 "entity_id": "entity_id",
6 "name": "name",
7 "description": "description",
8 "entity_user_id": "entity_user_id",
9 "external_reference": "HT-1234-S-BL",
10 "ledger_account_id": "ledger_account_id",
11 "measure_unit_id": "measure_unit_id",
12 "price": {
13 "currency": "AED",
14 "value": 1
15 },
16 "smallest_amount": 1.1,
17 "type": "product"
18}
Was this page helpful?
Previous

Delete a product

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

product_idstringRequired

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Response

Successful Response
idstringformat: "uuid"
Unique ID of the product.
created_atdatetime
Time at which the product was created. Timestamps follow the ISO 8601 standard.
updated_atdatetime
Time at which the product was last updated. Timestamps follow the ISO 8601 standard.
entity_idstringformat: "uuid"
namestring
Name of the product.
descriptionstring
Description of the product.
entity_user_idstringformat: "uuid"
external_referencestring1-255 characters

A user-defined identifier of the product. For example, an internal product code or SKU (stock keeping unit). Client applications can use this field to map the products in Monite to an external product catalog.

ledger_account_idstringformat: "uuid"
measure_unit_idstringformat: "uuid"

The unique ID reference of the unit used to measure the quantity of this product (e.g. items, meters, kilograms).

priceobject
smallest_amountdouble0-2147483647
The smallest amount allowed for this product.
typeenum
Specifies whether this offering is a product or service. This may affect the applicable tax rates.
Allowed values:

Errors

400
Get Products ID Request Bad Request Error
401
Get Products ID Request Unauthorized Error
403
Get Products ID Request Forbidden Error
404
Get Products ID Request Not Found Error
422
Get Products ID Request Unprocessable Entity Error
500
Get Products ID Request Internal Server Error